build_targets: &build_targets
  - "@foxglove_ws_protocol//..."

matrix: &matrix
  linux_platforms:
    - debian11
    - ubuntu2204
  bazel:
    - 7.x
    - 8.x
tasks:
  verify_targets_on_linux:
    name: Verify build targets on Linux
    platform: ${{ linux_platforms }}
    bazel: ${{ bazel }}
    build_targets: *build_targets
    build_flags:
      - '--cxxopt=-std=c++17'
  # Work around https://github.com/bazelbuild/bazel/issues/10472
  verify_targets_on_macos:
    name: Verify build targets on macOS
    platform: macos
    bazel: ${{ bazel }}
    build_targets: *build_targets
    build_flags: &macos_workaround
      - '--cxxopt=-std=c++17'
      - '--sandbox_block_path=/usr/local'
